aperm {base} | R Documentation

## Array Transposition

### Description

Transpose an array by permuting its dimensions and optionally resizing it.

### Usage

    aperm(a, perm, resize = TRUE)

### Arguments

`a` | the array to be transposed.
`perm` | the subscript permutation vector.
`resize` | a flag indicating whether the vector should be resized as well as having its elements reordered (default `TRUE`.)

### Value

A transposed version of array `a`, with subscripts permuted as indicated by the array `perm`. If `resize` is `TRUE`, the array is reshaped as well as having its elements permuted.

The function `t` provides a faster and more convenient way of transposing matrices.

### See Also

`t`.

### Examples

    # interchange the first two subscripts on a 3-way array x
    x  <- array(1:24, 2:4)
    xt <- aperm(x, c(2,1,3))
    stopifnot( t(xt[,,2]) == x[,,2] )

[Package Contents]